RId
===

Onkyo Remote Interactive (RI) daemon

This little daemon listens for [OSC](https://opensoundcontrol.stanford.edu) messages and sends commands via Onkyo's RI proprietary interface.

action                 | code    | function
---------------------- | ------- | --------------------------
Input CD               | `0x020` | Switch input to CD channel
Input TAPE             | `0x070` | Switch input to TAPE channel
Input DVD              | `0x120` | Switch input to DVD (BD) channel
Input DOCK             | `0x170` | Switch input to DOCK channel
Dimmer Hi              | `0x2B0` | Set dimmer brightness to highest level
Dimmer Mid             | `0x2B1` | Set dimmer brightness to mid level
Dimmer Lo              | `0x2B2` | Set dimmer brightness to lowest level
Dimmer Hi              | `0x2B8` | Set dimmer brightness to highest level
Dimmer Lo	           | `0x2BF` | Set dimmer brightness to lowest level
Test mode              | `0x421` |
Radio search next      | `0x430` | Tune next radio station when radio is selected.
Radio search previous  | `0x431` | Tune previous radio station when radio is selected.
Radio Stereo/Mono      | `0x432` | Switch between Stereo and Mono when FM radio is selected.
Radio station next     | `0x433` | Jump to next stored radio station when radio is selected.
Radio station previous | `0x434` | Jump to previous stored radio station when radio is selected.

### Limitations

As you can see is number of commands is quite limited. It was designed to allow some other Onkyo hardware to control. 
On tested amplituners you can only switch between two video (DVD and one of video inputs marked in manual) and two audio inputs. Additionally you can switch input to HDD, CDR or MD, but this can be done only by assigning switchable video input and there is no way around that.

### Useful links

 - http://lirc.sourceforge.net/remotes/onkyo/Remote_Interactive
 - http://fredboboss.free.fr/articles/onkyo_ri.php
 - http://www.intl.onkyo.com/downloads/manuals/pdf/tx-sr504_manual_e.pdf
 - https://github.com/mkulesh/onkyoUsbRi
